Overview | Package | Class | Use | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.lucene.facet.sortedset
Class SortedSetDocValuesAccumulator

    java.lang.Object
      org.apache.lucene.facet.search.FacetsAccumulator
          org.apache.lucene.facet.sortedset.SortedSetDocValuesAccumulator

    public class SortedSetDocValuesAccumulator

extends FacetsAccumulator

A `FacetsAccumulator` that uses previously indexed `SortedSetDocValuesFacetFields` to perform faceting, without require a separate taxonomy index. Faceting is a bit slower (~25%), and there is added cost on every `IndexReader` open to create a new `SortedSetDocValuesReaderState`. Furthermore, this does not support hierarchical facets; only flat (dimension + label) facets, but it uses quite a bit less RAM to do so.

Field Summary

Fields inherited from class org.apache.lucene.facet.search.FacetsAccumulator
`facetArrays, indexReader, searchParams, taxonomyReader`

Constructor Summary
`SortedSetDocValuesAccumulator(FacetSearchParams fsp, SortedSetDocValuesReaderState state)`

Method Summary
`List<FacetResult>` | `accumulate(List<FacetsCollector.MatchingDocs> matchingDocs)` Used by `FacetsCollector` to build the list of `facet results` that match the `facet requests` that were given in the constructor.
`FacetsAggregator` | `getAggregator()` Returns the `FacetsAggregator` to use for aggregating the categories found in the result documents.

Methods inherited from class org.apache.lucene.facet.search.FacetsAccumulator
`create, createFacetResultsHandler, emptyResult, getCategoryLists`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SortedSetDocValuesAccumulator

    public SortedSetDocValuesAccumulator(FacetSearchParams fsp,
                                         SortedSetDocValuesReaderState state)
                                  throws IOException

Throws:
  `IOException`

Method Detail

### getAggregator

    public FacetsAggregator getAggregator()

  Description copied from class: `FacetsAccumulator`
  Returns the `FacetsAggregator` to use for aggregating the categories found in the result documents. The default implementation returns `CountingFacetsAggregator`, or `FastCountingFacetsAggregator` if all categories can be decoded with `DGapVInt8IntDecoder`.

  Overrides:
    `getAggregator` in class `FacetsAccumulator`

### accumulate

    public List<FacetResult> accumulate(List<FacetsCollector.MatchingDocs> matchingDocs)
                                 throws IOException

  Description copied from class: `FacetsAccumulator`
  Used by `FacetsCollector` to build the list of `facet results` that match the `facet requests` that were given in the constructor.

  Overrides:
    `accumulate` in class `FacetsAccumulator`
  Parameters:
    `matchingDocs` - the documents that matched the query, per-segment.
  Throws:
    `IOException`

Overview | Package | Class | Use | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2013 Apache Software Foundation. All Rights Reserved.